Docs Rizler

Advanced

Update Widget Config

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/widget/{agent_id}
Update Widget Config
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/widget/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "text_color": "value",
  "card_radius": 0,
  "border_color": "value",
  "button_color": "value",
  "button_radius": 0,
  "end_call_text": "value",
  "popup_position": "value",
  "start_call_text": "value",
  "background_color": "value",
  "button_text_color": "value",
  "call_to_action_text": "value",
  "focus_outline_color": "value",
  "speaking_status_text": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Widget Config#

Update Widget Config. Use the public agent id from List Agents. This path only accepts agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

popup_positionstringbody

max 100. may be null. send only when changing this field

background_colorstringbody

max 50. may be null. send only when changing this field

text_colorstringbody

max 50. may be null. send only when changing this field

button_colorstringbody

max 50. may be null. send only when changing this field

button_text_colorstringbody

max 50. may be null. send only when changing this field

border_colorstringbody

max 50. may be null. send only when changing this field

focus_outline_colorstringbody

max 50. may be null. send only when changing this field

card_radiusintegerbody

One of: 0. min 0. max 100. may be null. send only when changing this field

button_radiusintegerbody

One of: 0. min 0. max 100. may be null. send only when changing this field

start_call_textstringbody

max 255. may be null. send only when changing this field

end_call_textstringbody

max 255. may be null. send only when changing this field

call_to_action_textstringbody

max 255. may be null. send only when changing this field

speaking_status_textstringbody

max 255. may be null. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/widget/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"popup_position":"value","background_color":"value","text_color":"value","button_color":"value","button_text_color":"value","border_color":"value","focus_outline_color":"value","card_radius":1,"button_radius":1,"start_call_text":"value","end_call_text":"value","call_to_action_text":"value","speaking_status_text":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records